package com.slodon.b2b2c.enums;

/**
 * 商品导入枚举类
 */
public enum GoodsImportEnum {

    /**
     * 商品导入字段
     */
    商品名称("最多输入50个字", 20, true, 0),
    广告语("最多输入50个字", 20, false, 1),
    商品分类("只有三级分类才能发布商品", 20, true, 2),
    运费模板("运费模板与固定运费二选一，优先使用运费模板", 10, false, 3),
    固定运费("运费模板与固定运费二选一，保留2位小数", 10, false, 4),
    是否开增票("默认不开", 10, false, 5),
    发布状态("默认暂不售卖，放入仓库中", 10, false, 6),
    商品推荐("默认不推荐", 10, false, 7),
//    商品规格("无规格不填写，格式为 规格1,规格值;规格2,规格值;......",20,false,10),
    商品图片("填写图片的绝对地址，必须以http或https开头，多张图片用英文逗号分隔，最多6张", 30, true, 8),
    商品视频("填写视频的绝对地址，必须以http或https开头", 30, false, 9),
    市场价("市场价必须大于销售价，保留2位小数", 10, false, 10),
    销售价("销售价必须低于市场价，保留2位小数", 10, true, 11),
    库存("至少1件", 10, true, 12),
    重量("单位kg，保留3位小数", 10, false, 13),
    长("单位cm，保留3位小数", 10, false, 14),
    宽("单位cm，保留3位小数", 10, false, 15),
    高("单位cm，保留3位小数", 10, false, 16),
    库存预警值("", 15, false, 17),
    货号("", 20, false, 18),
    条形码("", 20, false, 19),
    商品详情("", 20, false, 20),
    ;

    GoodsImportEnum(String des, Integer columnWidth, Boolean required, Integer colNo) {
        this.des = des;
        this.columnWidth = columnWidth;
        this.required = required;
        this.colNo = colNo;
    }

    /**
     * 描述，批注
     */
    private String des;
    /**
     * 字段列宽
     */
    private Integer columnWidth;
    /**
     * 是否必填
     */
    private Boolean required;
    /**
     * 列号
     */
    private Integer colNo;

    public String getDes() {
        return des;
    }

    public void setDes(String des) {
        this.des = des;
    }

    public Integer getColumnWidth() {
        return columnWidth;
    }

    public void setColumnWidth(Integer columnWidth) {
        this.columnWidth = columnWidth;
    }

    public Boolean getRequired() {
        return required;
    }

    public void setRequired(Boolean required) {
        this.required = required;
    }

    public Integer getColNo() {
        return colNo;
    }

    public void setColNo(Integer colNo) {
        this.colNo = colNo;
    }
}
